package com.engine.dzfcd.controller;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.google.gson.Gson;
import com.engine.dzfcd.service.LeaveService;
import com.engine.dzfcd.service.impl.LeaveServiceImpl;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

public class LeaveController {

    public LeaveService getLeaveService(User user){
        return ServiceUtil.getService(LeaveServiceImpl.class, user);
    }

    @Path("/checkLeaveInt")
    @GET
    @Produces(MediaType.APPLICATION_JSON)
    public String checkLeaveInt(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        Map<String, Object> resultDatas = getLeaveService(user).checkLeaveInt(params);
        return  new Gson().toJson(resultDatas);
    }

}
